brushless15 2.0.0.0

Functions
main.c File Reference

Brushless15 Click example. More...

`#include "board.h"`
`#include "log.h"`
`#include "brushless15.h"`

## Functions
void | application_init (void)
void | application_task (void)
int | main (void)

## Detailed Description

Brushless15 Click example.

# Description

This example demonstrates the use of the Brushless 15 click board by driving the motor in both directions at different speeds.

The demo application is composed of two sections :

## Application Init

Initializes the driver and performs the click default configuration.

## Application Task

Controls the motor speed by changing the PWM duty cycle once per second. The duty cycle ranges from 20% to 80%. At the minimal speed, the motor switches direction. Each step will be logged on the USB UART where you can track the program flow.

Note
  The maximal PWM Clock frequency for this click board is 1 kHz. So, depending on the selected setup the user will need to lower the MCU's main clock frequency in the setup in order to get the PWM clock frequency down to 1 kHz.

Author
  Stefan Filipovic

## Function Documentation

## ◆ application_init()

void application_init | ( | void |  | ) |

< Logger config object.

< Click config object.

Logger initialization. Default baud rate: 115200 Default log level: LOG_LEVEL_DEBUG

Note
  If USB_UART_RX and USB_UART_TX are defined as HAL_PIN_NC, you will need to define them manually for log to work. See LOG_MAP_USB_UART macro definition for detailed explanation.

## ◆ application_task()

void application_task | ( | void |  | ) |

## ◆ main()

int main | ( | void |  | ) |